FROM alpine

RUN adduser -S -s /sbin/nologin -h /var/www/localhost/htdocs -u 80 -G www-data www-data && \
    apk add --no-cache \
      fcgiwrap \
      nagios \
      nagios-web \
    && \
    addgroup www-data nagios

EXPOSE 8080
USER www-data
CMD ["/usr/bin/fcgiwrap", "-s", "tcp:0.0.0.0:8080"]
